I’m trying to access the VIA padlock cryptography engine in debian linux. I just tried the 2.6.22 kernel for 686 and there was no padlock module! Do I need to use the 486 kernel?

I’ve gotten it to work fine with this kernel in ubuntu:

2.6.20-16-386 #2

To activate the engine, I load the following modules:

  • padlock
  • padlock_aes
  • padlock_sha

The results are amazing. Hmm, that’s odd, the 486 kernel does have the padlock_sha and padlock_aes modules, but not the plain padlock module.

More fun:

http://ocf-linux.sourceforge.net/

¥